Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003067 [JEDI VCL] 00 JVCL Components minor always 2005-06-30 18:46 2006-03-31 06:30
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003067: Cannot paste RTF text after TjvRichEdit.clear
Description 1)Put a JvRichEdit on a form with PlainText property False and put some text in. Also, put a TButton with OnClick event "JvRichEdit1.clear;".

2) Copy some text in the JvRichEdit.

3)Push the button to clear text.

4)Try paste to the JvRichEdit using CTRL+V or PasteFromClipboard or paste menu, won't work.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007568)
outchy (administrator)
2005-07-19 12:53

I can't reproduce this:

I have a form with a TJvRichEdit and a TButton.
I push the button to clear text: OK
I set the focus back to the TJvRichEdit and press CTRL+V: OK

You should give us more details about your system, your version of the JVCL (if you use a daily build, the version of JvRichEdit.pas will be usefull).
(0007580)
anonymous (viewer)
2005-07-20 02:38
edited on: 2005-08-02 06:25

lu_ ?
Hmm, then maybe this is because I'm using Japanese Windows XP?

I can't paste RTF text to JvRichEdit on Japanese Windows XP SP2,
Windows 2000 and Windows 98 after TJvRichEdit.Clear.
I tried TJvRichEdit Revision 1.69-1.72. They all didn't work.
If I set PlainText to True, everything works fine.

I have a form with a TJvRichEdit and a TButton.
I type in some text (Japanese or alphabet, doesn't matter).
I select some text in TJvRichEdit and copy it (CTRL+C).
I push the button to clear the TJvRichEdit : OK
I set the focus back to the TJvRichEdit and press CTRL+V : NG
nothing happens.
(But I can paste it to WordPad.)

And I noticed somehow I can paste if I paste once
(or as many as you want) before TJvRichEdit.Clear.

I have a form with a TJvRichEdit and a TButton.
I type in some text.
I select some text in TJvRichEdit and copy it (CTRL+C).
I paste the text (CTRL+V) (don't clear the text) : OK
I push the button to clear the TJvRichEdit : OK
I paste it again : OK!

Sorry for my bad English.

(0007581)
outchy (administrator)
2005-07-20 04:51

A lot of stuff is done in the Borland's vcl to deal with standard controls.

What version of Delphi/BCB are you using ?
If you use the right click of the mouse to drop down the context menu of the TJvRichEdit, what is the state of the "paste" item ?
(0007590)
remkobonte (developer)
2005-07-21 14:30

Could you upload the dfm file of the main form of your test application. You can upload it to this bug report.
(0008795)
obones (administrator)
2006-03-31 06:30

No answers, considering the issue to be fixed.

- Issue History
Date Modified Username Field Change
2005-06-30 18:46 anonymous New Issue
2005-07-19 12:53 outchy Note Added: 0007568
2005-07-20 02:38 anonymous Note Added: 0007580
2005-07-20 04:51 outchy Note Added: 0007581
2005-07-21 14:30 remkobonte Note Added: 0007590
2005-07-21 14:30 remkobonte Status new => feedback
2005-08-02 06:25 anonymous Note Edited: 0007580
2006-03-31 06:30 obones Status feedback => resolved
2006-03-31 06:30 obones Resolution open => fixed
2006-03-31 06:30 obones Assigned To => obones
2006-03-31 06:30 obones Note Added: 0008795


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker